@echo off
echo.
echo ---------------------------------------
echo rLindo Installation script for Win32/64
echo         Lindo Systems, Inc.
echo ---------------------------------------

if not exist ..\include\lsversion.sh goto NOVERSION

for /f "delims=" %%x in (..\include\lsversion.sh) do (set "%%x")
echo Looking for source package rLindo_%LS_MAJOR%.%LS_MINOR%.tar.gz
if exist rLindo_%LS_MAJOR%.%LS_MINOR%.tar.gz (
    echo Ok.. Installing...
) else (
    echo Error: source package rLindo_%LS_MAJOR%.%LS_MINOR%.tar.gz not found
    goto END
)

rem FOR /F "tokens=" %%i in (' "R --version 2> nul" ') do SET Routput=%%i
rem if "%Routput%"=="" goto NO_R

R CMD INSTALL rLindo_%LS_MAJOR%.%LS_MINOR%.tar.gz
echo Finished
goto END

:NOVERSION
echo Error: '../include/lsversion.sh' file was not found
echo.
goto END

:NO_R
echo Error: R is not installed or is not on path.
echo.
goto END


:END
