#!/bin/sh
echo
echo ---------------------------------------
echo rLindo Installation script for Linux32/64
echo         Lindo Systems, Inc.
echo ---------------------------------------

if [ ! -f ../include/lsversion.sh ]; then
	echo Error: \'../include/lsversion.sh\' file was not found
	echo
	exit
fi
source ../include/lsversion.sh
echo Looking for source package rLindo_$LS_MAJOR.$LS_MINOR.tar.gz
if [ -f rLindo_$LS_MAJOR.$LS_MINOR.tar.gz ]; then
	echo Ok.. Installing...
else
	echo Error: source package rLindo_$LS_MAJOR.$LS_MINOR.tar.gz not found
	exit
fi

command -v R --help>/dev/null 2>&1 || { 
	echo >&2 "Error: R is not installed or is not on path."; 
	exit 1; 
}
R CMD INSTALL rLindo_$LS_MAJOR.$LS_MINOR.tar.gz
echo Finished

